Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Support for JavaServer Pages Java API Reference 10g Release 3 (10.1.3) B15978-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.webutil.personalization
Class OPUtil

`java.lang.Object
oracle.jsp.webutil.personalization.OPUtil`

public class OPUtil
extends java.lang.Object

Nested Class Summary
`static class` | `OPUtil.REInfo`

Field Summary
`static java.lang.String` | `APP_CONFIG_LOCATION`
`static java.lang.String` | `ATTR_CONFIG`
`static java.lang.String` | `ATTR_DISABLE_REC`
`static java.lang.String` | `ATTR_IDDATA`
`static java.lang.String` | `ATTR_OPUTIL`
`static java.lang.String` | `ATTR_PROXY`
`static java.lang.String` | `ATTR_SESS_LSNR`
`static java.lang.String` | `ATTR_USE_SESS`
`static java.lang.String` | `ATTR_USERID`
`static java.lang.String` | `COOKIE_DISABLE_REC`
`static java.lang.String` | `COOKIE_RENAME`
`static java.lang.String` | `COOKIE_USE_SESS`
`static java.lang.String` | `COOKIE_USERCUST`
`static java.lang.String` | `COOKIE_USERID`
`static java.util.Random` | `random`

Constructor Summary
`OPUtil()`

Method Summary
`static REProxyRT` | `createREProxy(OPUtil.REInfo reinfo, PageContext pageContext)`
`static ConfigFile` | `getConfig(PageContext pageContext)`
`static boolean` | `getDisableRecording(PageContext pageContext)`
`static FilteringSettings` | `getFilteringSettings(PageContext pageContext, java.lang.String name)`
`static IdentificationData` | `getIdData(PageContext pageContext)`
`static int` | `getMaxQuantity(PageContext pageContext)`
`static REProxyRT` | `getProxy(PageContext pageContext)`
`static java.util.Random` | `getRandom(HttpServletRequest request)`
`static TuningSettings` | `getTuningSettings(PageContext pageContext, java.lang.String name)`
`static boolean` | `isEmpty(java.lang.String s)`
`static boolean` | `isSessionFul(PageContext pageContext)`
`static boolean` | `setupRequestForOP(PageContext pageContext)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_OPUTIL

    public static final java.lang.String ATTR_OPUTIL

  See Also:
    Constant Field Values

### ATTR_CONFIG

    public static final java.lang.String ATTR_CONFIG

  See Also:
    Constant Field Values

### ATTR_PROXY

    public static final java.lang.String ATTR_PROXY

  See Also:
    Constant Field Values

### ATTR_IDDATA

    public static final java.lang.String ATTR_IDDATA

  See Also:
    Constant Field Values

### ATTR_USERID

    public static final java.lang.String ATTR_USERID

  See Also:
    Constant Field Values

### ATTR_DISABLE_REC

    public static final java.lang.String ATTR_DISABLE_REC

  See Also:
    Constant Field Values

### ATTR_USE_SESS

    public static final java.lang.String ATTR_USE_SESS

  See Also:
    Constant Field Values

### ATTR_SESS_LSNR

    public static final java.lang.String ATTR_SESS_LSNR

  See Also:
    Constant Field Values

### COOKIE_USERID

    public static final java.lang.String COOKIE_USERID

  See Also:
    Constant Field Values

### COOKIE_USERCUST

    public static final java.lang.String COOKIE_USERCUST

  See Also:
    Constant Field Values

### COOKIE_RENAME

    public static final java.lang.String COOKIE_RENAME

  See Also:
    Constant Field Values

### COOKIE_USE_SESS

    public static final java.lang.String COOKIE_USE_SESS

  See Also:
    Constant Field Values

### COOKIE_DISABLE_REC

    public static final java.lang.String COOKIE_DISABLE_REC

  See Also:
    Constant Field Values

### APP_CONFIG_LOCATION

    public static final java.lang.String APP_CONFIG_LOCATION

  See Also:
    Constant Field Values

### random

    public static java.util.Random random

Constructor Detail

### OPUtil

    public OPUtil()

Method Detail

### isEmpty

    public static boolean isEmpty(java.lang.String s)

### isSessionFul

    public static boolean isSessionFul(PageContext pageContext)

### getConfig

    public static ConfigFile getConfig(PageContext pageContext)
                                throws ConfigFileException

  Throws:
    `ConfigFileException`

### getRandom

    public static java.util.Random getRandom(HttpServletRequest request)

### setupRequestForOP

    public static boolean setupRequestForOP(PageContext pageContext)
                                     throws JspTagException

  Throws:
    `JspTagException`

### createREProxy

    public static REProxyRT createREProxy(OPUtil.REInfo reinfo,
                                          PageContext pageContext)
                                   throws JspTagException

  Throws:
    `JspTagException`

### getIdData

    public static IdentificationData getIdData(PageContext pageContext)
                                        throws JspTagException

  Throws:
    `JspTagException`

### getProxy

    public static REProxyRT getProxy(PageContext pageContext)
                              throws JspTagException

  Throws:
    `JspTagException`

### getTuningSettings

    public static TuningSettings getTuningSettings(PageContext pageContext,
                                                   java.lang.String name)
                                            throws JspTagException,
                                                   ConfigFileException

  Throws:
    `JspTagException`
    `ConfigFileException`

### getFilteringSettings

    public static FilteringSettings getFilteringSettings(PageContext pageContext,
                                                         java.lang.String name)
                                                  throws JspTagException,
                                                         ConfigFileException

  Throws:
    `JspTagException`
    `ConfigFileException`

### getMaxQuantity

    public static int getMaxQuantity(PageContext pageContext)
                              throws ConfigFileException

  Throws:
    `ConfigFileException`

### getDisableRecording

    public static boolean getDisableRecording(PageContext pageContext)
                                       throws JspTagException

  Throws:
    `JspTagException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Support for JavaServer Pages Java API Reference 10g Release 3 (10.1.3) B15978-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.